ShiwakeDocs
Transfers

/banking/transfers

GET
/api/v1/banking/transfers
X-Api-Key<token>

Tenant API key (sk_live_…), minted from the platform console.

In: header

Query Parameters

walletId?string
take?integer
Formatint32
Default100

Response Body

application/json

curl -X GET "https://example.com/api/v1/banking/transfers"
{  "message": "string",  "code": 0,  "data": [    {      "id": "string",      "senderWalletId": "string",      "receiverWalletId": "string",      "amount": 0,      "feeAmount": 0,      "netAmount": 0,      "currency": "string",      "status": "string",      "journalEntryId": "string",      "reference": "string",      "description": "string",      "idempotencyKey": "string",      "metadata": {        "property1": {          "options": {            "propertyNameCaseInsensitive": true          },          "parent": {},          "root": {}        },        "property2": {          "options": {            "propertyNameCaseInsensitive": true          },          "parent": {},          "root": {}        }      },      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z"    }  ]}
Edit on GitHub

Last updated on